@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;700&display=swap');

:root {
  --blue: #0A043C;
  --white: #ffffff;
  --black: #222222;
  --grey: #e5e5e5;
}

/*Обнуление*/
*{
	padding: 0;
	margin: 0;
	border: 0;
}
*,*:before,*:after{
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}

html,body {
	height: 100%;
	width: 100%;
}

#app, #root-panel {
	width: 100%;
}
/*--------------------*/

#custom-registration,
#custom-registration .jsx-parser {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.panel-content {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.registration-form {
  position: relative;
  padding: 20px 10%;
  max-width: 800px;
  width: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.panel-tabs {
  position: relative;
  min-height: 390px;
  height: auto;
  width: 100%;
}

.checkbox_container {
  margin: 5px;
}

.checkbox_container input {
  position: absolute;
  z-index: -1;
  opacity: 0;
}

.checkbox_container input+label {
  font-family: 'Roboto', sans-serif;
  color: var(--black);
  position: relative;
  padding: 0 0 0 50px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  transition: .2s;
}

.checkbox_container input+label:hover {
  color: var(--blue);
}

.checkbox_container input+label:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 40px;
  height: 20px;
  border-radius: 13px;
  background: #CDD1DA;
  box-shadow: inset 0 2px 3px rgba(0, 0, 0, .2);
  transition: .2s;
}

.checkbox_container input+label:after {
  content: '';
  position: absolute;
  top: 1px;
  left: 2px;
  width: 18px;
  height: 18px;
  border-radius: 10px;
  background: var(--white);
  box-shadow: 0 2px 5px rgba(0, 0, 0, .3);
  transition: .2s;
}

.checkbox_container input:checked+label:before {
  background: var(--blue);
}

.checkbox_container input:checked+label:after {
  left: 20px;
}

.checkbox_container input:disabled+label {
  opacity: 0.5;
  cursor: default;
}

.checkbox_container input:disabled+label:hover {
  color: var(--black);
}

.buttons_container {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  width: 100%;
  margin: 20px 0;
}

.custom_button {
  font-family: 'Roboto', sans-serif;
  font-size: 14px;
  line-height: 14px;
  color: var(--black);
  min-width: 100px;
  width: fit-content;
  height: 40px;
  background: var(--white);
  border: 1px solid var(--blue);
  box-sizing: border-box;
  border-radius: 3px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  overflow: hidden;
  margin: 5px;
  padding: 0 20px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  transition: 0.2s;
}

.custom_button._dark {
  color: var(--white);
  background: var(--blue);
}

.custom_button:hover {
  color: var(--white);
  background: var(--blue);
}

.custom_button._dark:hover {
  color: var(--black);
  background: var(--white);
}

.step_name {
  font-family: 'Roboto', sans-serif;
  font-size: 16px;
  line-height: 32px;
  color: var(--black);
  overflow: hidden;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

fieldset {
  border: 1px solid var(--grey);
}

legend {
  margin-left: 20px;
  color: var(--black);
}

.tab {
  width: 100%;
  height: 100%;
  position: absolute;
  background: var(--black);
  transform: translate(-1000px, 0px);
  opacity: 0;
  transition: 0.3s;
}

.tab._active {
  background: var(--white);
  transform: translate(0px, 0px);
  opacity: 1;
}

.search_org {
  display: flex;
  align-items: center;
}

.alert_container {
  position: fixed;
  max-width: 23%;
  top: 20px;
  right: 20px;
}

.custom-input {
  border-radius: 3px;
}

.uk-form-danger {
  background: rgba(240, 80, 110, 0.02);
}

.step {
  height: 15px;
  width: 15px;
  margin: 0 10px;
  background-color: #0a043c;
  border: none;
  border-radius: 50%;
  display: inline-block;
  opacity: 0.2;
}

.step.active {
  opacity: 0.5;
}

.step.finish {
  opacity: 1;
}
